Results 1 to 5 of 5

Thread: Kontact start failed

  1. #1
    Join Date
    Aug 2008
    Location
    Neuendorf, Switzerland
    Posts
    108

    Default Kontact start failed

    If i try to start Kontact (or e.g. KMail) an error occures:

    kontact: symbol lookup error: /usr/lib64/libbaloopim.so.4: undefined symbol: _ZNK6Xapian13PostingSource9serialiseEv

    Starting only akonadi gives the following error:

    QDBusObjectPath Akonadi::Server::NotificationManager::subscribeV2(const QString&, bool) Akonadi::Server::NotificationManager(0x25bcd90
    ) "akonadi_baloo_indexer_11717_zhqFX9" true

    QDBusObjectPath Akonadi::Server::NotificationManager::subscribeV3(const QString&, bool, bool) Akonadi::Server::NotificationManager(0x2
    5bcd90) "akonadi_baloo_indexer_11717_zhqFX9" true false
    /usr/bin/akonadi_baloo_indexer: symbol lookup error: /usr/bin/akonadi_baloo_indexer: undefined symbol: _ZN6Xapian16WritableDatabaseC1E
    RKSsi
    ProcessControl: Application '/usr/bin/akonadi_baloo_indexer' returned with exit code 127 (Unknown error)


    Do you habe any ideas?

    Installed versions are:
    kontact 4.14.9-24.2
    libakonadi4 4.14.9.24.1
    baloo-pim 4.14.3.-4.2
    libbaloopim4 4.14.3.-4.2

    Thanks for any help
    Stephan

  2. #2

    Default AW: Kontact start failed

    Quote Originally Posted by boenis View Post
    If i try to start Kontact (or e.g. KMail) an error occures:

    kontact: symbol lookup error: /usr/lib64/libbaloopim.so.4: undefined symbol: _ZNK6Xapian13PostingSource9serialiseEv

    Starting only akonadi gives the following error:

    QDBusObjectPath Akonadi::Server::NotificationManager::subscribeV2(const QString&, bool) Akonadi::Server::NotificationManager(0x25bcd90
    ) "akonadi_baloo_indexer_11717_zhqFX9" true

    QDBusObjectPath Akonadi::Server::NotificationManager::subscribeV3(const QString&, bool, bool) Akonadi::Server::NotificationManager(0x2
    5bcd90) "akonadi_baloo_indexer_11717_zhqFX9" true false
    /usr/bin/akonadi_baloo_indexer: symbol lookup error: /usr/bin/akonadi_baloo_indexer: undefined symbol: _ZN6Xapian16WritableDatabaseC1E
    RKSsi
    ProcessControl: Application '/usr/bin/akonadi_baloo_indexer' returned with exit code 127 (Unknown error)


    Do you habe any ideas?
    You have incompatible packages installed.

    Installed versions are:
    kontact 4.14.9-24.2
    libakonadi4 4.14.9.24.1
    baloo-pim 4.14.3.-4.2
    libbaloopim4 4.14.3.-4.2
    And from which repo is baloo-pim? Also, what version of libxapian22 from which repo do you have installed?
    Code:
    rpm -qi baloo-pim libbaloopim4 libxapian22
    And please also post your repo list:
    Code:
    zypper lr -d

  3. #3
    Join Date
    Aug 2008
    Location
    Neuendorf, Switzerland
    Posts
    108

    Default Re: Kontact start failed

    Here are the requested informations:

    stephan:~ # rpm -qi baloo-pim libbaloopim4 libxapian22
    Name : baloo-pim
    Version : 4.14.3
    Release : 4.2
    Architecture: x86_64
    Install Date: Die 07 Jul 2015 21:14:39 CEST
    Group : System/GUI/KDE
    Size : 421330
    License : GPL-2.0+ and LGPL-2.1+
    Signature : RSA/SHA256, Mon 24 Nov 2014 13:56:23 CET, Key ID b88b2fd43dbdc284
    Source RPM : baloo-4.14.3-4.2.src.rpm
    Build Date : Mit 12 Nov 2014 16:06:54 CET
    Build Host : cloud132
    Relocations : (not relocatable)
    Packager : http://bugs.opensuse.org
    Vendor : openSUSE
    Summary : PIM components for Baloo Framework
    Description :
    Baloo is a framework for searching and managing metadata. This
    package contains PIM components.
    Distribution: openSUSE 13.2
    Name : libbaloopim4
    Version : 4.14.3
    Release : 4.2
    Architecture: x86_64
    Install Date: Die 07 Jul 2015 20:53:59 CEST
    Group : System/GUI/KDE
    Size : 133758
    License : GPL-2.0+ and LGPL-2.1+
    Signature : RSA/SHA256, Mon 24 Nov 2014 14:05:32 CET, Key ID b88b2fd43dbdc284
    Source RPM : baloo-4.14.3-4.2.src.rpm
    Build Date : Mit 12 Nov 2014 16:06:54 CET
    Build Host : cloud132
    Relocations : (not relocatable)
    Packager : http://bugs.opensuse.org
    Vendor : openSUSE
    Summary : PIM library for Baloo Framework
    Description :
    Baloo is a framework for searching and managing metadata. This
    package contains Baloo's PIM library.
    Distribution: openSUSE 13.2
    Name : libxapian22
    Version : 1.2.21
    Release : 1.3
    Architecture: x86_64
    Install Date: Don 02 Jul 2015 22:32:54 CEST
    Group : Development/Libraries/C and C++
    Size : 2106552
    License : GPL-2.0
    Signature : RSA/SHA256, Don 25 Jun 2015 13:16:19 CEST, Key ID b88b2fd43dbdc284
    Source RPM : xapian-core-1.2.21-1.3.src.rpm
    Build Date : Don 25 Jun 2015 13:14:35 CEST
    Build Host : build74
    Relocations : (not relocatable)
    Packager : http://bugs.opensuse.org
    Vendor : openSUSE
    URL : http://www.xapian.org/
    Summary : Xapian search engine libraries
    Description :
    Xapian is an Open Source Probabilistic Information Retrieval framework. It
    offers a highly adaptable toolkit that allows developers to easily add advanced
    indexing and search facilities to applications. This package provides the
    libraries for applications using Xapian functionality
    Distribution: openSUSE Factory


    stephan:~ # zypper lr -d
    # | Alias | Name | Aktiviert | GPG-Überprüfung | Aktualisieren | Priorität | Typ
    | URI | Dienst
    ---+---------------------------------+---------------------------------+-----------+-----------------+---------------+-----------+----
    ------+------------------------------------------------------------------------------------------------------+-------
    1 | Google-Chrome | Google-Chrome | Ja | (r ) Ja | Ja | 99 | rpm
    -md | http://dl.google.com/linux/chrome/rpm/stable/x86_64 |
    2 | Local | Local | Ja | ( p) Ja | Ja | 99 | pla
    indir | dir:///setup/rpm |
    3 | Packman-13.2-Essentials | Packman-13.2-Essentials | Ja | (r ) Ja | Ja | 99 | rpm
    -md | http://pmbs.links2linux.de:82/Essentials/openSUSE_13.2/ |
    4 | Packman-13.2-Extra | Packman-13.2-Extra | Ja | (r ) Ja | Ja | 99 | rpm
    -md | http://pmbs.links2linux.de:82/Extra/openSUSE_13.2/ |
    5 | Packman-13.2-Multimedia | Packman-13.2-Multimedia | Ja | (r ) Ja | Ja | 99 | rpm
    -md | http://pmbs.links2linux.de:82/Multimedia/openSUSE_13.2/ |
    6 | Packman-Tumbleweed-Essentials | Packman-Tumbleweed-Essentials | Ja | (r ) Ja | Ja | 99 | rpm
    -md | http://pmbs.links2linux.de:82/Essent...SE_Tumbleweed/ |
    7 | Packman-Tumbleweed-Extra | Packman-Tumbleweed-Extra | Ja | (r ) Ja | Ja | 99 | rpm
    -md | http://pmbs.links2linux.de:82/Extra/...SE_Tumbleweed/ |
    8 | Packman-Tumbleweed-Multimedia | Packman-Tumbleweed-Multimedia | Ja | (r ) Ja | Ja | 99 | rpm
    -md | http://pmbs.links2linux.de:82/Multim...SE_Tumbleweed/ |
    9 | VLC-13.2 | VLC-13.2 | Ja | (r ) Ja | Ja | 99 | rpm
    -md | http://download.videolan.org/pub/vlc/SuSE/13.2 |
    10 | VLC-Tumbleweed | VLC-Tumbleweed | Ja | (r ) Ja | Ja | 99 | rpm
    -md | http://download.videolan.org/pub/vlc/SuSE/Tumbleweed |
    11 | openSUSE-13.2-Fonts | openSUSE-13.2-Fonts | Ja | (r ) Ja | Ja | 99 | rpm
    -md | http://download.opensuse.org/reposit...openSUSE_13.2/ |
    12 | openSUSE-13.2-KDE-Extra | openSUSE-13.2-KDE-Extra | Ja | (r ) Ja | Ja | 99 | rpm
    -md | http://download.opensuse.org/reposit...openSUSE_13.2/ |
    13 | openSUSE-13.2-LibDVDCSS | openSUSE-13.2-LibDVDCSS | Ja | ( p) Ja | Ja | 99 | rpm
    -md | http://opensuse-guide.org/repo/13.2/ |
    14 | openSUSE-13.2-Mozilla | openSUSE-13.2-Mozilla | Ja | (r ) Ja | Ja | 99 | rpm
    -md | http://download.opensuse.org/reposit...openSUSE_13.2/ |
    15 | openSUSE-13.2-Virtualisation | openSUSE-13.2-Virtualisation | Ja | (r ) Ja | Ja | 99 | rpm
    -md | http://download.opensuse.org/reposit...openSUSE_13.2/ |
    16 | openSUSE-Current-NonOSS | openSUSE-Current-NonOSS | Ja | ( p) Ja | Ja | 99 | yas
    t2 | http://download.opensuse.org/distrib.../repo/non-oss/ |
    17 | openSUSE-Current-NonOSS-Updates | openSUSE-Current-NonOSS-Updates | Ja | (r ) Ja | Ja | 99 | rpm
    -md | http://download.opensuse.org/update/...n-oss-current/ |
    18 | openSUSE-Current-OSS | openSUSE-Current-OSS | Ja | ( p) Ja | Ja | 99 | yas
    t2 | http://download.opensuse.org/distrib...rent/repo/oss/ |
    19 | openSUSE-Current-OSS-Updates | openSUSE-Current-OSS-Updates | Ja | (r ) Ja | Ja | 99 | rpm
    -md | http://download.opensuse.org/update/openSUSE-current/ |
    20 | openSUSE-Tumbleweed-Fonts | openSUSE-Tumbleweed-Fonts | Ja | (r ) Ja | Ja | 99 | rpm
    -md | http://download.opensuse.org/reposit...SE_Tumbleweed/ |
    21 | openSUSE-Tumbleweed-KDE-Extra | openSUSE-Tumbleweed-KDE-Extra | Ja | (r ) Ja | Ja | 99 | rpm
    -md | http://download.opensuse.org/reposit...SE_Tumbleweed/ |
    22 | openSUSE-Tumbleweed-Mozilla | openSUSE-Tumbleweed-Mozilla | Ja | (r ) Ja | Ja | 99 | rpm
    -md | http://download.opensuse.org/reposit...SE_Tumbleweed/ |
    23 | openSUSE-Tumbleweed-NonOSS | openSUSE-Tumbleweed-NonOSS | Ja | (r ) Ja | Ja | 99 | yas
    t2 | http://download.opensuse.org/tumbleweed/repo/non-oss |
    24 | openSUSE-Tumbleweed-OSS | openSUSE-Tumbleweed-OSS | Ja | (r ) Ja | Ja | 99 | yas
    t2 | http://download.opensuse.org/tumbleweed/repo/oss |
    25 | openSUSE-Tumbleweed-Updates | openSUSE-Tumbleweed-Updates | Ja | ( p) Ja | Ja | 99 | rpm
    -md | http://download.opensuse.org/update/tumbleweed |
    26 | openSUSE-Tumbleweed-VirtualBox | openSUSE-Tumbleweed-VirtualBox | Ja | (r ) Ja | Ja | 99 | rpm
    -md | http://download.opensuse.org/reposit...SE_Tumbleweed/ |


    A lot of repositories. :-)

  4. #4

    Default Re: Kontact start failed

    Quote Originally Posted by boenis View Post
    Here are the requested informations:

    stephan:~ # rpm -qi baloo-pim libbaloopim4 libxapian22
    Name : baloo-pim
    ...
    Distribution: openSUSE 13.2
    Name : libbaloopim4
    ...
    Distribution: openSUSE 13.2
    Your baloo-pim comes from 13.2, therefore it crashes with Tumbleweed's libxapian22.

    stephan:~ # zypper lr -d
    # | Alias | Name | Aktiviert | GPG-Überprüfung | Aktualisieren | Priorität | Typ
    | URI | Dienst
    ---+---------------------------------+---------------------------------+-----------+-----------------+---------------+-----------+----
    ------+------------------------------------------------------------------------------------------------------+-------
    1 | Google-Chrome | Google-Chrome | Ja | (r ) Ja | Ja | 99 | rpm
    -md | http://dl.google.com/linux/chrome/rpm/stable/x86_64 |
    2 | Local | Local | Ja | ( p) Ja | Ja | 99 | pla
    indir | dir:///setup/rpm |
    3 | Packman-13.2-Essentials | Packman-13.2-Essentials | Ja | (r ) Ja | Ja | 99 | rpm
    -md | http://pmbs.links2linux.de:82/Essentials/openSUSE_13.2/ |
    4 | Packman-13.2-Extra | Packman-13.2-Extra | Ja | (r ) Ja | Ja | 99 | rpm
    -md | http://pmbs.links2linux.de:82/Extra/openSUSE_13.2/ |
    5 | Packman-13.2-Multimedia | Packman-13.2-Multimedia | Ja | (r ) Ja | Ja | 99 | rpm
    -md | http://pmbs.links2linux.de:82/Multimedia/openSUSE_13.2/ |
    6 | Packman-Tumbleweed-Essentials | Packman-Tumbleweed-Essentials | Ja | (r ) Ja | Ja | 99 | rpm
    -md | http://pmbs.links2linux.de:82/Essent...SE_Tumbleweed/ |
    7 | Packman-Tumbleweed-Extra | Packman-Tumbleweed-Extra | Ja | (r ) Ja | Ja | 99 | rpm
    -md | http://pmbs.links2linux.de:82/Extra/...SE_Tumbleweed/ |
    8 | Packman-Tumbleweed-Multimedia | Packman-Tumbleweed-Multimedia | Ja | (r ) Ja | Ja | 99 | rpm
    -md | http://pmbs.links2linux.de:82/Multim...SE_Tumbleweed/ |
    9 | VLC-13.2 | VLC-13.2 | Ja | (r ) Ja | Ja | 99 | rpm
    -md | http://download.videolan.org/pub/vlc/SuSE/13.2 |
    10 | VLC-Tumbleweed | VLC-Tumbleweed | Ja | (r ) Ja | Ja | 99 | rpm
    -md | http://download.videolan.org/pub/vlc/SuSE/Tumbleweed |
    11 | openSUSE-13.2-Fonts | openSUSE-13.2-Fonts | Ja | (r ) Ja | Ja | 99 | rpm
    -md | http://download.opensuse.org/reposit...openSUSE_13.2/ |
    12 | openSUSE-13.2-KDE-Extra | openSUSE-13.2-KDE-Extra | Ja | (r ) Ja | Ja | 99 | rpm
    -md | http://download.opensuse.org/reposit...openSUSE_13.2/ |
    13 | openSUSE-13.2-LibDVDCSS | openSUSE-13.2-LibDVDCSS | Ja | ( p) Ja | Ja | 99 | rpm
    -md | http://opensuse-guide.org/repo/13.2/ |
    14 | openSUSE-13.2-Mozilla | openSUSE-13.2-Mozilla | Ja | (r ) Ja | Ja | 99 | rpm
    -md | http://download.opensuse.org/reposit...openSUSE_13.2/ |
    15 | openSUSE-13.2-Virtualisation | openSUSE-13.2-Virtualisation | Ja | (r ) Ja | Ja | 99 | rpm
    -md | http://download.opensuse.org/reposit...openSUSE_13.2/ |
    16 | openSUSE-Current-NonOSS | openSUSE-Current-NonOSS | Ja | ( p) Ja | Ja | 99 | yas
    t2 | http://download.opensuse.org/distrib.../repo/non-oss/ |
    17 | openSUSE-Current-NonOSS-Updates | openSUSE-Current-NonOSS-Updates | Ja | (r ) Ja | Ja | 99 | rpm
    -md | http://download.opensuse.org/update/...n-oss-current/ |
    18 | openSUSE-Current-OSS | openSUSE-Current-OSS | Ja | ( p) Ja | Ja | 99 | yas
    t2 | http://download.opensuse.org/distrib...rent/repo/oss/ |
    19 | openSUSE-Current-OSS-Updates | openSUSE-Current-OSS-Updates | Ja | (r ) Ja | Ja | 99 | rpm
    -md | http://download.opensuse.org/update/openSUSE-current/ |
    20 | openSUSE-Tumbleweed-Fonts | openSUSE-Tumbleweed-Fonts | Ja | (r ) Ja | Ja | 99 | rpm
    -md | http://download.opensuse.org/reposit...SE_Tumbleweed/ |
    21 | openSUSE-Tumbleweed-KDE-Extra | openSUSE-Tumbleweed-KDE-Extra | Ja | (r ) Ja | Ja | 99 | rpm
    -md | http://download.opensuse.org/reposit...SE_Tumbleweed/ |
    22 | openSUSE-Tumbleweed-Mozilla | openSUSE-Tumbleweed-Mozilla | Ja | (r ) Ja | Ja | 99 | rpm
    -md | http://download.opensuse.org/reposit...SE_Tumbleweed/ |
    23 | openSUSE-Tumbleweed-NonOSS | openSUSE-Tumbleweed-NonOSS | Ja | (r ) Ja | Ja | 99 | yas
    t2 | http://download.opensuse.org/tumbleweed/repo/non-oss |
    24 | openSUSE-Tumbleweed-OSS | openSUSE-Tumbleweed-OSS | Ja | (r ) Ja | Ja | 99 | yas
    t2 | http://download.opensuse.org/tumbleweed/repo/oss |
    25 | openSUSE-Tumbleweed-Updates | openSUSE-Tumbleweed-Updates | Ja | ( p) Ja | Ja | 99 | rpm
    -md | http://download.opensuse.org/update/tumbleweed |
    26 | openSUSE-Tumbleweed-VirtualBox | openSUSE-Tumbleweed-VirtualBox | Ja | (r ) Ja | Ja | 99 | rpm
    -md | http://download.opensuse.org/reposit...SE_Tumbleweed/ |


    A lot of repositories. :-)
    Yes, and they are incompatible.
    Remove _all_ 13.2 repos, _and_ those openSUSE-Current (which actually is 13.2 too) ones.
    You don't need that VirtualBox repo either (this was only necessary on the old Tumbleweed), the latest virtualbox packages are in Tumbleweed directly anyway.
    And the VLC repo is incompatible with Packman, so remove that one too.

    Code:
    sudo zypper rr 3 4 5 9 10 11 12 13 14 15 16 17 18 19 26
    Then add the libdvdcss repo for Tumbleweed if you need it:
    Code:
    sudo zypper ar -f http://opensuse-guide.org/repo/openSUSE_Tumbleweed/ libdvdcss
    For the other additional repos you have to decide yourself whether you want to keep them or not. mozilla is probably not needed, you should always have the latest Firefox and Thunderbird versions in Tumbleweed anyway. You probably have the others for additional stuff not included in the distribution.

    Then run "sudo zypper dup" and Kontact should work again.

    Btw, you shouldn't use pmbs.links2linux.de:82 directly as repo. That's the build server. Use a mirror instead: http://packman.links2linux.de/mirrors

  5. #5
    Join Date
    Aug 2008
    Location
    Neuendorf, Switzerland
    Posts
    108

    Talking Re: Kontact start failed

    Thanks a lot. I have made all requested changes and it works now fine.
    Stephan

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •